Fetch email templates
Fetch email templates by location id
GET
/
emails
/
builder
Fetch email templates
curl --request GET \
--url https://services.leadconnectorhq.com/emails/builder \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/emails/builder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/emails/builder"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"name": "New Template",
"updatedBy": "John Doe",
"isPlainText": "false",
"lastUpdated": "2024-11-12T12:34:36.070Z",
"dateAdded": "2024-11-12T12:34:36.070Z",
"previewUrl": "https://example.com",
"id": "67334b231f2fad724062f52b5",
"version": "1",
"templateType": "builder"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Query Parameters
Response
Success
Last modified on March 8, 2026
Was this page helpful?
Fetch email templates
curl --request GET \
--url https://services.leadconnectorhq.com/emails/builder \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/emails/builder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/emails/builder"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"name": "New Template",
"updatedBy": "John Doe",
"isPlainText": "false",
"lastUpdated": "2024-11-12T12:34:36.070Z",
"dateAdded": "2024-11-12T12:34:36.070Z",
"previewUrl": "https://example.com",
"id": "67334b231f2fad724062f52b5",
"version": "1",
"templateType": "builder"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}